include mixins

<!DOCTYPE html>
html(lang="en")
    +head
    body(style='padding-top:75px;')
        +navbar

        .py-5.text-center(style="background-image: url('https://previews.123rf.com/images/mkphotoshu/mkphotoshu1509/mkphotoshu150900864/44799737-piso-de-hormig%C3%B3n-blanco-sucio-viejo-textura-de-cemento.jpg');background-size:cover;")
            .container
                .row
                    .mx-auto.col-md-6.col-10.bg-white.p-5
                        h1.mb-4 Ingreso
                        form(action='/login' method='post')
                            .form-group
                                input#form9.form-control(type='email' name='email' placeholder='Ingrese su Email' style='font-size: 13px;')
                            .form-group.mb-3
                                input#form10.form-control(type='password' name='password' placeholder='Contraseña' style='font-size: 13px;')
                                div.form-text.text-muted.text-right(style='font-size: 12px;')
                                    a(href='#')
                                        | Recuperar contrase&ntilde;a
                                        br
                            button.get-started-btn(type='submit') Ingresar
                        hr
                        .py-2.justify-content-center.align-items-center.text-center(style="margin: auto;")
                            h4.mb-4 Ingrese con Google
                            .row
                                .col-md-4
                                .col-md-4
                                    .g-signin2(data-onsuccess='onSignIn'   style="width: 100%;")
                                .col-md-4
                            
                        
                        //a(href='/' onclick='signOut();') Sign out
            .py-5

        
        +scripts

        script.
            function onSignIn(googleUser) {
                var profile = googleUser.getBasicProfile();
                console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
                console.log('Name: ' + profile.getName());
                console.log('Image URL: ' + profile.getImageUrl());
                console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.
                var id_token = googleUser.getAuthResponse().id_token;
                //console.log("Token: ", id_token);
                var xhr = new XMLHttpRequest();
                xhr.open("POST", "/google");
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                xhr.onload = function() {
                //console.log('Signed in as: ' + xhr.responseText);
                    console.log('Se recibio respuesta HTML');
                    
                    if (xhr.status == 200) { // when completed we can move away
                        window.location = "/welcome";
                    }
                    
                };
                xhr.send('idtoken=' + id_token);
            }
            function signOut() {
                var auth2 = gapi.auth2.getAuthInstance();
                auth2.signOut().then(function () {
                    console.log('User signed out.');
                });

                var xhr = new XMLHttpRequest();
                xhr.open("POST", "/logout");
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                xhr.send('auth2='+auth2); 
            }
        +footer

